$!==================================================
$! Title  : rdb_demo1_sqlcode.com
$! Author : Neil S. Rieck
$! Created: 1991.07.30
$! Revisor: same
$! Revised: 191.09.13
$! Purpose: Builds a new rdb_demo1_sqlcode_xxx.exe
$!==================================================
$	bel[0,8]== 7
$	esc[0,8]== 27
$	say	:== write sys$output
$	ask	:== inquire/nopunc
$	my_arch = f$getsyi("arch_name")
$!
$	say ""
$	say "Build: rdb_demo1_sqlcode"
$	say "========================"
$	if P1 .eqs. "" then goto get_vers
$	ver = P1
$	goto do_it
$get_vers: 
$	say "Available Source Files:"
$	say ""
$	dir/nohead/notrail/col=1 rdb_demo1_sqlcode_%%%.bas
$	say ""
$	inquire/nopunct ver "which version ? (eg. 116) "
$	if ver .eqs. "" then goto fini
$	P1 = ver
$!
$do_it:
$	set on
$	on   error	then goto error_fini
$	on   control_Y	then goto error_fini
$!~~~	my_priority	= f$getjpi("","PRIB")		! remember priority
$	my_priority	= f$getjpi("","AUTHPRI")	! remember priority
$	compile_priority= f$logical("compile$priority")
$	if compile_priority .eqs. "" then compile_priority = "1"
$	say	esc,"[7mDropping Priority from ",my_priority,	-
		" to ",compile_priority,esc,"[0m",cr,lf
$	set proc/priority = 'compile_priority'
$!
$	if P2 .eqs. "SKIP" then goto skip_compile
$	say "Compiling rdb_demo1_sqlcode_",ver
$	bas/real=double	rdb_demo1_sqlcode_'ver'
$skip_compile:
$	say "calling SQLMOD to compile: rdb_demo1_sqlcode_bas_",ver,".sqlmod"
$	sql$mod rdb_demo1_sqlcode_bas_'ver'.sqlmod
$!
$	say "Linking   rdb_demo1_sqlcode_",ver
$	link/contig	rdb_demo1_sqlcode_'ver'		, -
			rdb_demo1_sqlcode_bas_'ver'	, -
			sql$user/library			! do not hard code this to: SYS$LIBRARY:SQL$USER71.OLB
$!
$	say bel,bel,bel, "Done."
$!
$!~~~	del/nolog/noco	rdb_demo1_sqlcode_'ver'.obj;*
$	pur/nolog/noco	rdb_demo1_sqlcode_'ver'.obj
$	if f$logical("PORTING$TOOL") .eqs. ""
$	then
$		ask choice "Copy to csmis$exe: as rdb_demo1_sclcode.exe ? (dflt=N) "
$		if choice .nes. "Y" then goto restore_fini
$	endif
$	copy rdb_demo1_sqlcode_'ver'.exe	csmis$exe:rdb_demo1_sqlcode.exe
$	goto restore_fini
$!
$error_fini:
$restore_fini:
$	say esc,"[7mRaising Priority back to ",my_priority,esc,"[0m",cr,lf
$	set proc/priority = 'my_priority'
$!
$Fini:
$	exit
