!=================================================================================================
! Title  : Rdb_sqlda2.bas (SQL Descriptor Area 2)
! Author : Neil Rieck	(http://www3.sympatico.ca/n.rieck)
! Created: 2004.09.09
! Notes  : see "Oracle Rdb ver 7.1.2 - SQL Reference Manual" - Volume 5 - Page D-17
!=================================================================================================
	!
	declare long constant k_max_SQLVAR% = 100
	!
	record SQLDA_REC
	    string SQLDAID = 8				! SQLDA ID: Value must be st to "SQLDA2 " before use.
	    long SQLDABC				! SQLDA Byte Count: not used
	    word SQLN					! SQL N: must be set to size of SQLVAR
	    word SQLD					! SQL D: set to number of fields returned by FETCH etc.
	    group SQLVAR(k_max_SQLVAR%)			!
		word SQLTYPE				! data type
		long SQLLEN				! data length
		long SQLOCTET_LEN			!
		long SQLDATA				! address of data
		long SQLIND				! address of indicator
		long SQLCHRONO_SCALE
		long SQLCHRONO_PRECISION
		group SQLNAME
		    word SQLNAME
		    string SQLNAMEC = 128
		end group SQLNAME
		string SQLCHAR_SET_NAME = 128
		string SQLCHAR_SET_SCHEMA = 128
		string SQLCHAR_SET_CATALOG = 128
	    end group SQLVAR
	end record SQLDA_REC
	!
	DECLARE SQLDA_REC	SQLDA2		,	!					&
				SQLDA2_out		!
